﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace DrawStringOnRibbon95096
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            ultraToolbarsManager1.DrawFilter = new RibbonDrawFilter();
            (ultraToolbarsManager1.DrawFilter as RibbonDrawFilter).textEditorLoc = ultraTextEditor1.Location;
        }

        private class RibbonDrawFilter : IUIElementDrawFilter
        {
            public Point textEditorLoc { get; set; }

            bool IUIElementDrawFilter.DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
            {
                return false;
            }

            DrawPhase IUIElementDrawFilter.GetPhasesToFilter(ref UIElementDrawParams drawParams)
            {
                Font font = new Font("Arial", 9);
                drawParams.Graphics.DrawString("History comment", font, new SolidBrush(Color.Black), textEditorLoc.X, textEditorLoc.Y + 25);
                drawParams.Graphics.DrawString("This comment valid for the whole transaction", font, new SolidBrush(Color.Black), textEditorLoc.X, textEditorLoc.Y + 40);
                return DrawPhase.AfterDrawElement;
            }
        }
    }
}
